package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicResourceMicroappPublishState {
    public static final String DRAFT = "待提交";
    public static final String AUDITING = "审核中";
    public static final String REJECTED = "审核不通过";
    public static final String PUBLISH= "已发布";
    public static final String OFFSHELVES= "已下架";

    private static DicResourceMicroappPublishState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicResourceMicroappPublishState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DRAFT, DRAFT);
        dicMap.put(AUDITING, AUDITING);
        dicMap.put(REJECTED, REJECTED);
        dicMap.put(PUBLISH, PUBLISH);
        dicMap.put(OFFSHELVES, OFFSHELVES);
    }

    public static DicResourceMicroappPublishState getInstacne(){
        if (instance == null)
        {
            instance = new DicResourceMicroappPublishState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
